- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionGraphicsItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 867 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionGraphicsItem:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_GraphicsItem }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionGraphicsItem ()
| QStyleOptionGraphicsItem (const QStyleOptionGraphicsItem &other)
## Static Public Member Functions
static qreal | levelOfDetailFromTransform (const QTransform &worldTransform)
## Public Attributes
QRectF | exposedRect
QMatrix | matrix
qreal | levelOfDetail
## Protected Member Functions
| QStyleOptionGraphicsItem (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 870 of file qstyleoption.h.

    { Type = SO_GraphicsItem };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 871 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionGraphicsItem | ( |  | ) |

QStyleOptionGraphicsItem | ( | const QStyleOptionGraphicsItem & | other | ) | `[inline]`

Definition at line 878 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionGraphicsItem | ( | int | version | ) | `[protected]`

## Member Function Documentation

static qreal levelOfDetailFromTransform | ( | const QTransform & | worldTransform | ) | `[static]`

Search for all occurrences

## Member Data Documentation

QRectF exposedRect

Search for all occurrences

Definition at line 873 of file qstyleoption.h.

QMatrix matrix

Search for all occurrences

Definition at line 874 of file qstyleoption.h.

qreal levelOfDetail

Search for all occurrences

Definition at line 875 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem
QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem QStyleOptionGraphicsItem